<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\net5.0\OpenAuth.Repository.xml</DocumentationFile>
	  <NoWarn>1701;1702;1591;1573;1572;1570</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Autofac" Version="7.0.1" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="8.0.0" />
    <PackageReference Include="Moq" Version="4.13.1" />

    <PackageReference Include="NUnit" Version="3.13.1" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.5.0" />
    <PackageReference Include="NUnit3TestAdapter" Version="3.17.0" />
    <PackageReference Include="SqlSugarCore" Version="5.1.4.146" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Domain\DroneFlyAchievements.cs" />
  </ItemGroup>

</Project>
